JGME Pay
Collections

Verify Collection (TSQ)

This is the endpoint to verify a Transaction (TSQ)

GET
/payments/v1/payments/verify/{reference}

Authorization

clientId clientSecret
client-id<token>

In: header

client-secret<token>

In: header

Path Parameters

reference*string

Reference of the transaction to verify

Response Body

application/json

curl -X GET "https://example.com/payments/v1/payments/verify/string"
{  "data": {    "clientId": "string",    "status": "success",    "statusDescription": "string",    "reference": "string",    "externalReference": "string",    "providersReference": "string",    "currency": "NGN",    "charge": 0,    "totalAmount": 0,    "amount": 100000,    "user": {      "phoneNumber": "string"    },    "metadata": {      "trafficType": "string",      "merchantName": "string",      "bankName": "string",      "bankCode": "string"    },    "checkoutId": "string",    "provider": "string",    "providerLabel": "string",    "channel": "string",    "id": "string",    "paymentCard": null,    "paidAt": 0  }}